# cast.[framework](https://developers.google.com/cast/docs/reference/web_receiver/cast.framework).NetworkRequestInfo

class static

HTTP(s) Request information.

## Constructor

### NetworkRequestInfo

new
NetworkRequestInfo()

## Properties

### content

nullable Uint8Array

The content of the request. This may be used to modify the license
request body.

### headers

Object

An object containing properties that you would like to send in the
header.

### shakaRequestContext

nullable Object

Defines contextual data about a request, directly based on:
https://shaka-player-demo.appspot.com/docs/api/shaka.extern.html#.RequestContext.

### shakaRequestInfo

nullable Object

Shaka-specific request information directly based on:
https://shaka-player-demo.appspot.com/docs/api/shaka.extern.html#.Request.

### timeoutInterval

nullable number

The network request timeout, in milliseconds.

### url

nullable string

The requested URL.

### withCredentials

boolean

When set to `true`, this indicates that CORS Access-Control
requests should be made using credentials such as cookies or
authorization headers.